Page MenuHomePhabricator

[Spam/vandalism] Raise $wgAutoblockExpiry noticeably
Open, LowPublic

Description

$wgAutoblockExpiry might be unrealistically low for today's needs.
After gerrit change 23924, twn /seems/ to have experienced way less problems https://translatewiki.net/w/i.php?title=Special:Log/block&dir=prev&offset=20111230070847&type=block
Autoblock is an effective measure, easier that CU+block and more flexible than rangeblocks, to reduce usage of bad IPs, so increasing it could be useful, especially until bug 17929 is fixed; cf. bug 25305.
This bug is just for tracking, to avoid forgetting this possibility, which has some big drawbacks on some wikis which have e.g.:

  1. legitimate users from dynamic IPs quickly "polluted" by vandals/spammers changing them continuously;
  2. sysops not aware of how autoblock works.

Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=25305

Details

Reference
bz41479

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:50 AM
bzimport set Reference to bz41479.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Oct 28 2012, 9:55 PM

shellpolicy -> needs community discussion (and URL in this report linking to it)

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2015, 12:44 AM

If the autoblock expiry can be configured for each wiki differently, before asking in a RFC to change this, we can test it at Meta first. @Nemo_bis FWIW how much time do you propose the new autoblock setting should be?

If the autoblock expiry can be configured for each wiki differently, before asking in a RFC to change this, we can test it at Meta first.

Sure, that's probably best.

@Nemo_bis FWIW how much time do you propose the new autoblock setting should be?

Sigh @ all bugzilla links broken. https://gerrit.wikimedia.org/r/#/c/23924 went for 2 weeks, but there is no special reason.

Luke081515 closed this task as Declined.Feb 2 2016, 12:23 AM

Declined per T124354. There is no consensus for this change yet. Please reopen the task if consensus reached.

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptFeb 2 2016, 12:23 AM
Luke081515 reopened this task as Open.Feb 2 2016, 12:45 AM
Meno25 removed a subscriber: Meno25.Feb 22 2016, 5:38 PM